Follow

Which versions of Windows are supported by MapViewer?

MapViewer works with Windows XP, Vista, 7, 8, and 10. MapViewer cannot be installed on tablets or mobile devices running Windows RT.

 

You can view this information and more under the System Requirements tab on the MapViewer 8 homepage.

 

Updated October 6, 2016

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.